LS(1)

NAME
st-compare-rings - a Swift-tools command

SYNOPSIS
st-status [OPTION]...

DESCRIPTION

st-compare-rings Compare 2 rings for validate a new ring. If a partitions is moved more that 2 times The new ring is not validate Display reparttion of partitions IN and OUT Devices grouped by swifstore

[-n|--nb_test]

    Number of partitions to test

[-j|--json]

    Display a json formatted result

[-p|--pattern]

    Regex pattern to extract an index from a swiftstore name

[Ring1]

    Positional: New ring to compare

[Ring2]

    Positional: Old ring to compare

LICENSE
This is released under the Apache-2.0 license.

AUTHORS
Philippe SERAPHIN <philippe.seraphin at infomaniak dot com>
Thomas GOIRAND <zigo at debian dot org>

REPORTING BUGS
<https://salsa.debian.org/openstack-team/third-party/swift-tools>

SEE ALSO
swift(1)